Name:           microfoot-libreent
Version:        3.8.0
Release:        1%{?dist}
Summary:        Axsem Microfoot Microprocessor SDCC Reentrant int, long and float library

Group:          Applications/Engineering
License:        Proprietary
URL:            http://www.axsem.com
Source0:        libreentsrc.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  perl
BuildRequires:  sdcc = %{version}
BuildRequires:  sdcc-libc-sources = %{version}
Requires:       sdcc = %{version}

BuildArch:      noarch

%description
SDCC reentrant int, long and float libraries for Axsem's Microfoot line
of Microprocessors.

%prep
%setup -c -a 0
pushd buildsdcc
perl -i -pe s,../../libmf/source,/usr/share/microfoot/libmf/source,g Makefile
popd

%build
pushd buildsdcc
make
make tar
popd

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/%{_datadir}/microfoot/libreent/source
tar -x -v -z -C $RPM_BUILD_ROOT/%{_datadir}/microfoot/libreent -f %{SOURCE0}
install -d $RPM_BUILD_ROOT/%{_datadir}/microfoot/libreent/sdcc
tar -x -v -z -C $RPM_BUILD_ROOT/%{_datadir}/microfoot/libreent/sdcc -f buildsdcc/libreentbinsdcc.tar.gz

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_datadir}/microfoot/libreent


%changelog
* Thu Jul 27 2014 Thomas Sailer <thomas.sailer@axsem.com> - 20140724-1
- initial release
